[oe-commits] Mark Hatle : prelink_git.bb: Only block the postinst script when no image-prelink

git version control git at git.openembedded.org
Wed Jun 29 13:42:05 UTC 2011


Module: openembedded-core.git
Branch: master
Commit: a0ba05596a704a006ee7b97392c20b871085b1e6
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=a0ba05596a704a006ee7b97392c20b871085b1e6

Author: Mark Hatle <mark.hatle at windriver.com>
Date:   Tue Jun 28 20:36:11 2011 -0500

prelink_git.bb: Only block the postinst script when no image-prelink

If image-prelink is being used, the system will automatically prelink
the target image.  This avoids the need to run the postinst prelink
script at first boot.  However, if the user has not enabled image
prelinking -- then we do enable the script to run on first boot.

Signed-off-by: Mark Hatle <mark.hatle at windriver.com>

---

 meta/recipes-devtools/prelink/prelink_git.bb |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
index b57c145..c653d4d 100644
--- a/meta/recipes-devtools/prelink/prelink_git.bb
+++ b/meta/recipes-devtools/prelink/prelink_git.bb
@@ -10,7 +10,7 @@ LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
 SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
 PV = "1.0+git${SRCPV}"
-PR = "r3"
+PR = "r4"
 
 #
 # The cron script attempts to re-prelink the system daily -- on
@@ -58,11 +58,13 @@ do_install_append () {
 	install -m 0644 ${WORKDIR}/macros.prelink ${D}${sysconfdir}/rpm/macros.prelink
 }
 
+# If we're using image-prelink, we want to skip this on the host side
+# but still do it if the package is installed on the target...
 pkg_postinst_prelink() {
 #!/bin/sh
 
 if [ "x$D" != "x" ]; then
-  exit 1
+  ${@base_contains('USER_CLASSES', 'image-prelink', 'exit 0', 'exit 1', d)}
 fi
 
 prelink -a





More information about the Openembedded-commits mailing list